Shopware is officially compatible with PHP7

Shopware-compatible-with-PHP7

Christmas came early - in the spirit of developing the strongest platform for digital retail, we are excited to announce Shopware is compatible with PHP7; a gift both webshop owners and developers alike can enjoy. This makes Shopware one of the first eCommerce platforms to offer Zend’s next generation of the popular programming language.

Things are about to get much, much faster

PHP7 is a product of Zend’s PHPNG project (“next generation”), which was created to jack up the speed in PHP applications; an increase in speed that comes without changing a single line of code. This performance increase is especially seen when compiling themes with Shopware, where speed has more than doubled.

PHP-7-update

There is a 25-30% performance boost elsewhere in Shopware. This is because PHP7 reduces the amount of memory required, thus making performance faster without any additional hardware. For more information about Shopware’s performance, head over to our performance guide, which was put together by our very own developers.

While performance is certainly on the tip of everyone’s tongue, the upgrade to PHP7 comes with a slew of additional benefits. For a pleasant introduction, you can check out the five most important things about PHP7, then hit the books with the full list of new features.

Out with the old, in with the new

Upgrading to PHP7 is easy. Along with following the upgrade guide provided by PHP, contact your hosting provider to be sure they support PHP7. Upgrading is particularly important since security updates will no longer be provided for older versions of PHP. Shopware will continue supporting PHP 5.4 up until the release of Shopware 5.2, so it’s important to upgrade as soon as possible. As always, we recommend testing your changes in a live environment before going live.

Please note that at this time, encrypted plugins and commercial versions of Shopware cannot be used with PHP7. This is because Ioncube – the library used for encryption – will not be compatible with PHP7 until it is updated in early 2016. We will of course inform you when this happens. Since the Community Edition is not encrypted, users of this version can immediately begin working with PHP7.  

Start now!

After upgrading, to begin taking advantage of the power behind PHP7 and Shopware, head over to our download page and get Shopware 5.1 – our latest version for creating outstanding online stores.

Download Shopware 5.1 now

Can’t get enough of PHP? Then join Shopware at PHP Benelux in Antwerp, Belgium. It’s a great opportunity to connect with other experts and enthusiasts about the world of PHP. You can find Shopware there drinking coffee and chatting about open source and PHP development.

Join us at PHP Benelux

 

comments powered by Disqus